aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/imx6/base-files/lib/imx6.sh
diff options
context:
space:
mode:
authorPetr Štetiar <ynezz@true.cz>2018-11-23 10:33:24 +0100
committerPetr Štetiar <ynezz@true.cz>2019-04-08 18:37:04 +0200
commitd23222a96caeca5f83d22ffd55e210da30eaa379 (patch)
tree1b7a57958ff0569d5cd8b5131f92e595d3114ea5 /target/linux/imx6/base-files/lib/imx6.sh
parentdc1a73984e640ded21c7fe1abc8de2d5585ae0bd (diff)
downloadupstream-d23222a96caeca5f83d22ffd55e210da30eaa379.tar.gz
upstream-d23222a96caeca5f83d22ffd55e210da30eaa379.tar.bz2
upstream-d23222a96caeca5f83d22ffd55e210da30eaa379.zip
imx6: Add support for Toradex Apalis family of CoMs
This patch adds support for the following computer on modules (CoM) from Toradex[A]: Apalis iMX6 Quad 2GB IT - i.MX 6Quad 800MHz, 2GB DDR3, 4GB eMMC -40° to +85° C Temp Apalis iMX6 Quad 1GB - i.MX 6Quad 1GHz, 1GB DDR3, 4GB eMMC 0° to +70° C Temp Apalis iMX6 Dual 1GB IT - i.MX 6Dual 800MHz, 1GB DDR3, 4GB eMMC -40° to +85° C Temp Apalis iMX6 Dual 512MB - i.MX 6Dual 1GHz, 512MB DDR3, 4GB eMMC 0° to +70° C Temp I've developed and tested it on Quad 2GB IT v1.1A and Dual 512MB v1.1A CoMs, using Ixora[B] carrier board v1.0A, but it should hopefuly work on Eval[C] board as well. A. https://www.toradex.com/computer-on-modules/apalis-arm-family/nxp-freescale-imx-6 B. https://www.toradex.com/products/carrier-board/ixora-carrier-board C. https://www.toradex.com/products/carrier-board/apalis-evaluation-board Flashing/recovery instructions: 1. Download and compile imx_loader for OpenWrt from https://github.com/ynezz/imx_loader 2. Enter recovery mode as desribed in https://developer.toradex.com/knowledge-base/imx-recovery-mode 3. Connect board via USB to the host computer, check that it's connected by lsusb: 15a2:0054 Freescale Semiconductor, Inc. i.MX 6Dual/6Quad SystemOnChip in RecoveryMode 4. Copy following OpenWrt images to imx_loader directory: SPL u-boot.img u-boot-with-spl.imx openwrt-imx6-apalis-recovery.scr openwrt-imx6-apalis-squashfs.combined.bin 5. Run imx_usb in imx_loader directory Signed-off-by: Petr Štetiar <ynezz@true.cz>
Diffstat (limited to 'target/linux/imx6/base-files/lib/imx6.sh')
-rwxr-xr-xtarget/linux/imx6/base-files/lib/imx6.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/target/linux/imx6/base-files/lib/imx6.sh b/target/linux/imx6/base-files/lib/imx6.sh
index 1bf1439523..68caaff15f 100755
--- a/target/linux/imx6/base-files/lib/imx6.sh
+++ b/target/linux/imx6/base-files/lib/imx6.sh
@@ -6,6 +6,33 @@
IMX6_BOARD_NAME=
IMX6_MODEL=
+rootpartuuid() {
+ local cmdline=$(cat /proc/cmdline)
+ local bootpart=${cmdline##*root=}
+ bootpart=${bootpart%% *}
+ local uuid=${bootpart#PARTUUID=}
+ echo ${uuid%-02}
+}
+
+bootdev_from_uuid() {
+ blkid | grep "PTUUID=\"$(rootpartuuid)\"" | cut -d : -f1
+}
+
+bootpart_from_uuid() {
+ blkid | grep $(rootpartuuid)-01 | cut -d : -f1
+}
+
+rootpart_from_uuid() {
+ blkid | grep $(rootpartuuid)-02 | cut -d : -f1
+}
+
+apalis_mount_boot() {
+ mkdir -p /boot
+ [ -f /boot/uImage ] || {
+ mount -o rw,noatime $(bootpart_from_uuid) /boot > /dev/null
+ }
+}
+
imx6_board_detect() {
local machine
local name
@@ -59,6 +86,15 @@ imx6_board_detect() {
name="cubox-i"
;;
+ "Toradex Apalis iMX6Q/D Module on Ixora Carrier Board" |\
+ "Toradex Apalis iMX6Q/D Module on Ixora Carrier Board V1.1")
+ name="apalis,ixora"
+ ;;
+
+ "Toradex Apalis iMX6Q/D Module on Apalis Evaluation Board")
+ name="apalis,eval"
+ ;;
+
"Wandboard i.MX6 Dual Lite Board")
name="wandboard"
;;